DSM-G600, DNS-3xx and NSA-220 Hack Forum

Unfortunately no one can be told what fun_plug is - you have to see it for yourself.

You are not logged in.

Announcement

#26 2008-11-06 17:26:04

aeronet
Member
Registered: 2008-03-30
Posts: 14

Re: DNS-323 clean shutdown no filesystem warnings forever

DaveN wrote:

If raidstop is called (I don't have time now to try), the patch could be rewritten to grep for "/dev/sd/" and then loop (instead of a single if statement) through all the filesystems found and run the unmount procedure on each of them.

Cheers,
Dave

Yes, I meen the raidstop script will be always called, if raid configured or not.

You can do:

Code:

 for d in /dev/sda2 /dev/sdb2 /dev/sda4 /dev/sdb4; do
  mp=`grep "$d" /etc/mtab | awk '{ print $2 }'`
 
  if [ "$mp" ]; then
         # Try to kill all processes
         for a in 0 0 0 0 0 0 0 0 0 0; do
                 kill -9 `fuser -m $mp` > /dev/null 2>&1
                 umount $mp > /dev/null 2>&1
                 sleep 1
                 if ! grep "$mp" /etc/mtab > /dev/null 2>&1; then a=1; break; fi
         done
 
         if [ $a -eq 0 ]; then
                 # If nothing helps, do a lazy umount
                 umount -l $mp > /dev/null 2>&1
         fi
  fi
 done

HTH,
    Andre

Last edited by aeronet (2008-11-10 09:59:15)

Offline

 

#27 2008-11-08 16:12:07

DaveN
Member
Registered: 2008-01-12
Posts: 21

Re: DNS-323 clean shutdown no filesystem warnings forever

How about:

Code:

for mp in `grep "^/dev/[sm]d" /etc/mtab | awk '{ print $2 }'`; do
  if [ "$mp" ]; then
         # Try to kill all processes
         for a in 0 0 0 0 0 0 0 0 0 0; do
                 kill -9 `fuser -m $mp` > /dev/null 2>&1
                 umount $mp > /dev/null 2>&1
                 sleep 1
                 if ! grep "$mp" /etc/mtab > /dev/null 2>&1; then a=1; break; fi
         done

         if [ $a -eq 0 ]; then
                 # If nothing helps, do a lazy umount
                 umount -l $mp > /dev/null 2>&1
         fi
  fi
done

This should unmount all devices for anyone with one or two disks, raid enabled or disabled, and also handle mounted USB sticks (/dev/sdc).

Cheers,
Dave.

Offline

 

#28 2008-11-08 22:27:38

jesbo
Member
From: Falls Church, VA
Registered: 2008-08-28
Posts: 101

Re: DNS-323 clean shutdown no filesystem warnings forever

Great Thread.  I recently added a large USB stick to support my ffp environment and other DNS-323 development environment and wanted to improve shutdown and provide some added safety for my USB stick.  I'd like to adopt your approach, Dave.  Have you tested it?

I added your code to a copy of the /usr/sbin/raidstop script and then ran a diff on it to create my own patch file:

Code:

--- raidstop.orig    Sat Nov  8 14:42:20 2008
+++ raidstop         Sat Nov  8 15:05:07 2008
@@ -1,5 +1,24 @@
 #!/bin/sh

+# Loop through all /dev/sd and /dev/md devices and unmount them
+# after stopping any processes that are accessing them.
+for mp in `grep "^/dev/[sm]d" /etc/mtab | awk '{ print $2 }'`; do
+    if [ "$mp" ]; then
+        # Try to kill all processes
+        for a in 0 0 0 0 0 0 0 0 0 0; do
+            kill -9 `fuser -m $mp` > /dev/null 2>&1
+            umount $mp > /dev/null 2>&1
+            sleep 1
+            if ! grep "$mp" /etc/mtab > /dev/null 2>&1; then a=1; break; fi
+        done
+
+        if [ $a -eq 0 ]; then
+            # If nothing helps, do a lazy umount
+            umount -l $mp > /dev/null 2>&1
+        fi
+    fi
+done
+
 #Description : Starting Raid
 #Author : Wilson Chan
 #History :     1)1.00 01/10/2006

I'm a bit of a diff and patch rookie, but it appears that the code is supposed to be inserted at the top of the raidstop script... correct?

I executed the patch code via fun_plug script. It appeared to modify raidstop properly.  Howerver it is difficult to tell if it is really executing/working at shutdown.  I still get messages in the syslog that my USB stick was not unmounted cleanly when it is first recognized at startup. Right now I always do an e2fsck on the USB stick prior to mounting it .  But I would like to debug this and get it working so I don't slow down the boot process.

Last edited by jesbo (2008-11-10 03:58:46)


DNS-323 (H/W ver. B1) |  2 x 1 TB WD Caviar Black (Raid 1) | Corsair Flash Voyager - 16 GB USB | FW 1.08 | fun_plug 0.5

Offline

 

#29 2008-11-10 09:34:54

aeronet
Member
Registered: 2008-03-30
Posts: 14

Re: DNS-323 clean shutdown no filesystem warnings forever

Hi jesbo,

jesbo wrote:

I'm a bit of a diff and patch rookie, but it appears that the code is supposed to be inserted at the top of the raidstop script... correct?

Yes, correct after #!/bin/sh.

jesbo wrote:

I executed the patch code via fun_plug script. It appeared to modify raidstop properly.  Howerver it is difficult to tell if it is really executing/working at shutdown.

I've checked if the raidstop is running on my dlink box at shutdown using the following procedure:

1. Logged in via telnet into the box
2. Executed the following command to see the status of mounted drives refreshing every second:
         

Code:

watch -n 1 cat /etc/mtab

3. Shutdown the box by pressing the front button e.g.

After shutdown you can see the last status of mounted drives on your terminal session
(The session is now hanging of course but you can see the last output of it.)

If the script is working correctly, all mounts to the drives have to be gone in the last output.

HTH,
     Andre

Last edited by aeronet (2008-11-10 10:03:07)

Offline

 

#30 2008-11-10 22:42:33

quattro
Member
Registered: 2008-10-28
Posts: 21

Re: DNS-323 clean shutdown no filesystem warnings forever

hi,

I've extended the script a bit:

Code:

#!/bin/sh

touch /mnt/usb/raid_down

for mp in `grep "^/dev/[sm]d" /etc/mtab | awk '{ print $2 }'`; do
  if [ "$mp" ]; then
         # Try to kill all processes
         for a in 0 0 0 0 0 0 0 0 0 0; do
                 kill `fuser -m $mp` > /dev/null 2>&1
                 umount $mp > /dev/null 2>&1
                 sleep 1
                 if ! grep "$mp" /etc/mtab > /dev/null 2>&1; then a=1; break; fi
         done

         if [ $a -eq 0 ]; then
                # if killing with sigterm was unsuccessful, kill with sigkill
                for a in 0 0 0 0 0 0 0 0 0 0; do
                        kill -9 `fuser -m $mp` > /dev/null 2>&1
                        umount $mp > /dev/null 2>&1
                        sleep 1
                        if ! grep "$mp" /etc/mtab > /dev/null 2>&1; then a=1; break; fi
                done
         fi

         if [ $a -eq 0 ]; then
                 # If nothing helps, do a lazy umount
                 umount -l $mp > /dev/null 2>&1
         fi
  fi
done

explaination: a sigterm tells the programm to terminate. so it has time to save stuff or do other things that should be done before termination.
a sigkill however forces the programm out of the memory. the programm has no chance to tidy things up.

the "touch /mnt/usb/raid_down"
is just for debugging, to see if the script was invoked.
you could also write to the usb stick while it is still mounted.

I've stored the modified script in /ffp/share/raidstop_patch/raidstop

here is the start schript for it: (inspired/copied from the cleanboot startscript)

/ffp/start/raidstop_patch.sh

Code:

#!/ffp/bin/sh

# PROVIDES: raidstop_patch
# REQUIRES: rw_usr_sbin
# BEFORE: LOGIN

. /ffp/etc/ffp.subr

name="raidstop_patch"
start_cmd="raidstop_patch_start"
status_cmd="raidstop_patch_status"
stop_cmd="raidstop_patch_stop"
required_files="/ffp/share/raidstop_patch/raidstop"

raidstop_patch_start()
{
        echo "Setting up $name..."
        rm /usr/sbin/raidstop
        cp /ffp/share/raidstop_patch/raidstop /usr/sbin/
        chmod 755 /usr/sbin/raidstop
}

raidstop_patch_stop()
{
        echo "$name: nothing to do :)"
}

raidstop_patch_status()
{
    if [ -f "/usr/sbin/raidstop" -a ! -L "/usr/sbin/raidstop" ]; then
        echo "$name running"
    else
        echo "$name stopped"
    fi
}

run_rc_command "$1"

on a ch3snas it requires a:

/ffp/start/rw_usr_sbin.sh

(this was also taken from the cleanboot.sh startscript. I actualy devided it into this two parts because I think this second one has a common use)

Code:

#!/ffp/bin/sh

# PROVIDES: rw_usr_sbin
# BEFORE: LOGIN

. /ffp/etc/ffp.subr

name="rw_usr_sbin"
start_cmd="rw_usr_sbin_start"
status_cmd="rw_usr_sbin_status"
stop_cmd="rw_usr_sbin_stop"
required_files=""

rw_usr_sbin_start()
{
        echo "Setting up $name..."
        cd /usr
        rm sbin
        mkdir /usr/sbin
        ln -s /sys/crfs/sbin/* /usr/sbin
}

rw_usr_sbin_stop()
{
        echo "$name: nothing to do :)"
}

rw_usr_sbin_status()
{
    if [ -w "/usr/sbin/" ]; then
        echo "$name running"
    else
        echo "$name stopped"
    fi
}

run_rc_command "$1"

this just delets the symlink '/usr/sbin', crates a dir with the same name and links everything from the readonly fs in the dir so you can replace individual files.

I've put my ffp on a usb device (2gig stick) with the command:
cp -a /mnt/HD_a2/ffp /mnt/usb/

and changed the beginning of the fun_plug file to:

Code:

#!/bin/sh

# switch to safe working directory on ramdisk
cd /

# logging in case something goes wrong here
FFP_LOG=/mnt/HD_a2/ffp.log
exec >>$FFP_LOG 2>&1
echo "preboot.. mountung usb stuff"

insmod /mnt/HD_a2/downloads/usb-storage.ko
mkdir /mnt/usb
echo "module loaded.."

echo "trying to mount.."
for a in 0 0 0 0 0 0 0 0 0 0; do
        sleep 1
        if  mount /dev/sdc1 /mnt/usb; then a=1;
                echo "good"
                break;
        fi
        echo "wait.."

done

if [ -d /mnt/usb/ffp ]; then
        echo "success"
        # if we where successful, set the paths to the usb drive.

        # write a log, in case sth goes wrong
        FFP_LOG=/mnt/usb/ffp.log
        #FFP_LOG=/dev/null

        # real path to ffp
        # FFP_PATH=/mnt/HD_a2/ffp
        FFP_PATH=/mnt/usb/ffp
else
        echo "epic fail!"
        # default if it fails or ffp isn't on the stick

        # write a log, in case sth goes wrong
        FFP_LOG=/mnt/HD_a2/ffp.log
        #FFP_LOG=/dev/null

        # real path to ffp
        # FFP_PATH=/mnt/HD_a2/ffp
        FFP_PATH=/mnt/HD_a2/ffp
fi

exec >>$FFP_LOG 2>&1

# where to search for the install tarball

this loads the module, creates the mountpoint, tries to mount sdc1 (takes usualy 5-6 attempts)
and if successful, sets the variables accordingly. if not it falls back to the ffp on the harddrive.

the mount-loop was taken from the raidstop patch smile
thanks for that btw.. my shellscript sucks and I'm too lazy to port everything to perl. *g*

Last edited by quattro (2008-11-10 22:46:33)

Offline

 

#31 2008-11-11 05:37:23

jesbo
Member
From: Falls Church, VA
Registered: 2008-08-28
Posts: 101

Re: DNS-323 clean shutdown no filesystem warnings forever

aeronet wrote:

If the script is working correctly, all mounts to the drives have to be gone in the last output.

HTH,
     Andre

Thanks Andre. Very helpful.  This is getting a bit tricky.  I now see the script code is running at shutdown.  Unfortunately the /mnt/sdc1 (USB stick) does not seem to unmount cleanly.  First, the sshd process runs from the USB stick (along with the rest of ffp), so at the time of shutdown, several processes are using the device.  I do an e2fsck on the USB stick in the fun_plug startup just after installing the driver, but before mounting the device - and it is telling me it was not cleanly unmounted.  Second, I assume that the sshd process must be terminated before the unmount, so even if it was working, I wouldn't see it in my ssh session because sshd would be gone before /etc/mtab is updated.

Is it possible that some delay (sleep) needs to be introduced after the sigterm, but before trying to umount the file systems to give processes a chance to shut down nicely?

Sorry for asking what may seem like silly questions, but I'm still trying to learn how this needs to work correctly. Its hard to debug this since you can't easily trace whats happening.

Last edited by jesbo (2008-11-11 06:00:04)


DNS-323 (H/W ver. B1) |  2 x 1 TB WD Caviar Black (Raid 1) | Corsair Flash Voyager - 16 GB USB | FW 1.08 | fun_plug 0.5

Offline

 

#32 2009-02-14 21:13:20

alpha
Member
From: Lithuania
Registered: 2008-10-06
Posts: 88

Re: DNS-323 clean shutdown no filesystem warnings forever

Hello,

I have done modifications exact like quattro described, but still I can't get rid of annoying messages about mounting not checked file system. In fact I have tried to do like aeronet said, also I have tried to use latest cleanboot, but problem still exists. Here goes my dmesg output :

Code:

Console: colour dummy device 80x30
Dentry cache hash table entries: 16384 (order: 4, 65536 bytes)
Inode-cache hash table entries: 8192 (order: 3, 32768 bytes)
Memory: 64MB 0MB 0MB 0MB = 64MB total
Memory: 55352KB available (2519K code, 451K data, 112K init)
Calibrating delay loop... 331.77 BogoMIPS (lpj=1658880)
Mount-cache hash table entries: 512
CPU: Testing write buffer coherency: ok
checking if image is initramfs...it isn't (no cpio magic); looks like an initrd
Freeing initrd memory: 6282K
NET: Registered protocol family 16

  Marvell Development Board (LSP Version 1.7.6_NAS)-- RD-88F5182-NAS-2 

 Detected Tclk 166000000 and SysClk 166000000 
Marvell USB EHCI Host controller #0: c0e23b00
Marvell USB EHCI Host controller #1: c0e23a40
pexBarOverlapDetect: winNum 2 overlap current 0
mvPexInit:Warning :Bar 2 size is illigal
it will be disabled
please check Pex and CPU windows configuration
PCI: bus0: Fast back to back transfers enabled
PCI: bus1: Fast back to back transfers enabled
SCSI subsystem initialized
usbcore: registered new driver usbfs
usbcore: registered new driver hub
cesadev_init(c0012498)
Fast Floating Point Emulator V0.9 (c) Peter Teichmann.
inotify device minor=63
VFS: Disk quotas dquot_6.5.1
Dquot-cache hash table entries: 1024 (order 0, 4096 bytes)
squashfs: version 3.3 (2007/10/31) Phillip Lougher
Initializing Cryptographic API
Serial: 8250/16550 driver $Revision: 1.1.1.1 $ 4 ports, IRQ sharing disabled
ttyS0 at MMIO 0x0 (irq = 3) is a 16550A
io scheduler noop registered
io scheduler deadline registered
RAMDISK driver initialized: 16 RAM disks of 10240K size 1024 blocksize
loop: loaded (max 8 devices)
Marvell Gigabit Ethernet Driver 'egiga':
  o Ethernet descriptors in DRAM
  o DRAM SW cache-coherency
  o Checksum offload enabled
  o Loading network interface 'egiga0' 
Intergrated Sata device found
scsi0 : Marvell SCSI to SATA adapter
scsi1 : Marvell SCSI to SATA adapter
  Vendor: WDC       Model: WD2500KS-22MJB0   Rev: 02.0
  Type:   Direct-Access                      ANSI SCSI revision: 03
  Vendor: WDC       Model: WD2500YD-01NVB1   Rev: 10.0
  Type:   Direct-Access                      ANSI SCSI revision: 03
Attached scsi generic sg0 at scsi0, channel 0, id 0, lun 0,  type 0
Attached scsi generic sg1 at scsi1, channel 0, id 0, lun 0,  type 0
physmap flash device: 800000 at ff800000
phys_mapped_flash: Found 1 x16 devices at 0x0 in 8-bit bank
 Amd/Fujitsu Extended Query Table at 0x0040
number of CFI chips: 1
cfi_cmdset_0002: Disabling erase-suspend-program due to code brokenness.
cmdlinepart partition parsing not available
RedBoot partition parsing not available
Using physmap partition definition
Creating 5 MTD partitions on "phys_mapped_flash":
0x00000000-0x00010000 : "MTD1"
0x00010000-0x00020000 : "MTD2"
0x00020000-0x001a0000 : "Linux Kernel"
0x001a0000-0x007d0000 : "File System"
0x007d0000-0x00800000 : "u-boot"
ehci_platform ehci_platform.20865: EHCI Host Controller
ehci_platform ehci_platform.20865: new USB bus registered, assigned bus number 1
ehci_platform ehci_platform.20865: irq 17, io mem 0x00000000
ehci_platform ehci_platform.20865: park 0
ehci_platform ehci_platform.20865: USB 0.0 initialized, EHCI 1.00, driver 10 Dec 2004
hub 1-0:1.0: USB hub found
hub 1-0:1.0: 1 port detected
ehci_platform ehci_platform.86401: EHCI Host Controller
ehci_platform ehci_platform.86401: new USB bus registered, assigned bus number 2
ehci_platform ehci_platform.86401: irq 12, io mem 0x00000000
ehci_platform ehci_platform.86401: park 0
ehci_platform ehci_platform.86401: USB 0.0 initialized, EHCI 1.00, driver 10 Dec 2004
hub 2-0:1.0: USB hub found
hub 2-0:1.0: 1 port detected
ohci_hcd: 2004 Nov 08 USB 1.1 'Open' Host Controller (OHCI) Driver (PCI)
mice: PS/2 mouse device common for all mice
md: linear personality registered as nr 1
md: raid0 personality registered as nr 2
md: raid1 personality registered as nr 3
md: md driver 0.90.1 MAX_MD_DEVS=256, MD_SB_DISKS=27
device-mapper: 4.4.0-ioctl (2005-01-12) initialised: dm-devel@redhat.com
NET: Registered protocol family 2
IP: routing cache hash table of 512 buckets, 4Kbytes
TCP established hash table entries: 4096 (order: 3, 32768 bytes)
TCP bind hash table entries: 4096 (order: 2, 16384 bytes)
TCP: Hash tables configured (established 4096 bind 4096)
NET: Registered protocol family 1
NET: Registered protocol family 17
md: Autodetecting RAID arrays.
md: autorun ...
md: ... autorun DONE.
RAMDISK: Compressed image found at block 0
VFS: Mounted root (ext2 filesystem).
Freeing init memory: 112K
SCSI device sda: 488397168 512-byte hdwr sectors (250059 MB)
SCSI device sda: drive cache: write back
SCSI device sda: 488397168 512-byte hdwr sectors (250059 MB)
SCSI device sda: drive cache: write back
 sda: sda1 sda2 sda3 sda4
Attached scsi disk sda at scsi0, channel 0, id 0, lun 0
SCSI device sdb: 490234752 512-byte hdwr sectors (251000 MB)
SCSI device sdb: drive cache: write back
SCSI device sdb: 490234752 512-byte hdwr sectors (251000 MB)
SCSI device sdb: drive cache: write back
 sdb: sdb1 sdb2 sdb3 sdb4
Attached scsi disk sdb at scsi1, channel 0, id 0, lun 0
usbcore: registered new driver usblp
drivers/usb/class/usblp.c: v0.13: USB Printer Device Class driver
egiga0: mac address changed
egiga0: link down
Adding 530104k swap on /dev/sda1.  Priority:-1 extents:1
Adding 530104k swap on /dev/sdb1.  Priority:-2 extents:1
ext3: No journal on filesystem on sda4
EXT2-fs warning: mounting unchecked fs, running e2fsck is recommended
ext3: No journal on filesystem on sdb4
EXT2-fs warning: mounting unchecked fs, running e2fsck is recommended
md: md0 stopped.
md: bind<sdb2>
md: bind<sda2>
md0: setting max_sectors to 128, segment boundary to 32767
raid0: looking at sda2
raid0:   comparing sda2(242227968) with sda2(242227968)
raid0:   END
raid0:   ==> UNIQUE
raid0: 1 zones
raid0: looking at sdb2
raid0:   comparing sdb2(242227968)<5>egiga0: link up<5>, full duplex<5>, speed 1 Gbps<5>
 with sda2(242227968)
raid0:   EQUAL
raid0: FINAL 1 zones
raid0: done.
raid0 : md_size is 484455936 blocks.
raid0 : conf->hash_spacing is 484455936 blocks.
raid0 : nb_zone is 1.
raid0 : Allocating 4 bytes for hash.
md: md1 stopped.
md: bind<sdb3>
md: bind<sda3>
EXT2-fs warning: mounting unchecked fs, running e2fsck is recommended
EXT2-fs warning: mounting unchecked fs, running e2fsck is recommended
md: md0 stopped.
md: unbind<sda2>
md: export_rdev(sda2)
md: unbind<sdb2>
md: export_rdev(sdb2)
md: md1 stopped.
md: unbind<sda3>
md: export_rdev(sda3)
md: unbind<sdb3>
md: export_rdev(sdb3)
md: md0 stopped.
md: bind<sdb2>
md: bind<sda2>
md0: setting max_sectors to 128, segment boundary to 32767
raid0: looking at sda2
raid0:   comparing sda2(242227968) with sda2(242227968)
raid0:   END
raid0:   ==> UNIQUE
raid0: 1 zones
raid0: looking at sdb2
raid0:   comparing sdb2(242227968) with sda2(242227968)
raid0:   EQUAL
raid0: FINAL 1 zones
raid0: done.
raid0 : md_size is 484455936 blocks.
raid0 : conf->hash_spacing is 484455936 blocks.
raid0 : nb_zone is 1.
raid0 : Allocating 4 bytes for hash.
md: md1 stopped.
md: bind<sdb3>
md: bind<sda3>
EXT2-fs warning: mounting unchecked fs, running e2fsck is recommended
EXT2-fs warning: mounting unchecked fs, running e2fsck is recommended
ext3: No journal on filesystem on sda4
EXT2-fs warning: mounting unchecked fs, running e2fsck is recommended
ext3: No journal on filesystem on sdb4
EXT2-fs warning: mounting unchecked fs, running e2fsck is recommended
md: mdadm(pid 1643) used obsolete MD ioctl, upgrade your software to use new ictls.
Initializing USB Mass Storage driver...
usbcore: registered new driver usb-storage
USB Mass Storage support registered.

So maybe someone could help me ?

Regards,
alpha

Offline

 

#33 2009-02-15 16:19:52

quattro
Member
Registered: 2008-10-28
Posts: 21

Re: DNS-323 clean shutdown no filesystem warnings forever

just to be sure:
you did run e2fsck on the filesystems?
if you have ffp on an usb device you could do it easily, just kill any processes that are currently using the filesystems and then unmount them.

Offline

 

#34 2009-02-15 17:55:17

alpha
Member
From: Lithuania
Registered: 2008-10-06
Posts: 88

Re: DNS-323 clean shutdown no filesystem warnings forever

Hi,

Thanks for replying. Ok, its just what I did:

1. Patched raidstop like aeronet said
2. run e2fsck
3. reboot and got warning in dmesg

Then:

1. Patched raidstop like you said (I like it better because try to kill not with "kill -9" first)
2. run e2fsck
3. reboot and got the same warning in dmesg

Then:

1. Installed newest cleanboot
2. run e3fsck
3. reboot and got same warning

Then I returnet to quattro patch. I reboot system with "reboot" and shutdown with "touch /tmp/shutdown". I have no more ideas about not getting these annoying warnings about unchecked fs sad

Regards,
alpha

Offline

 

#35 2009-02-15 22:43:52

quattro
Member
Registered: 2008-10-28
Posts: 21

Re: DNS-323 clean shutdown no filesystem warnings forever

there are many ways to turn of or reboot the device.

I prefer the button smile

some methodes don't trigger the proper shutdown scripts. the button does this. I'm not quite sure if touching /tmp/shutdown does it too. the shell command 'reboot' doesn't to it afaik. the 'reboot' button in the web interface should do it.

when you run e2fsck, are there any errors (mean: others than a missing 'lost+found')?

Offline

 

#36 2009-02-15 22:59:52

alpha
Member
From: Lithuania
Registered: 2008-10-06
Posts: 88

Re: DNS-323 clean shutdown no filesystem warnings forever

quattro wrote:

some methodes don't trigger the proper shutdown scripts. the button does this. I'm not quite sure if touching /tmp/shutdown does it too.

I found in forums about cleanboot that this command is the same as button.

quattro wrote:

the shell command 'reboot' doesn't to it afaik. the 'reboot' button in the web interface should do it.

I disabled WEB interface, so how can I reboot device properly ? By reading this topic I understand that raidstop script is called everytime don't matter how you shutdown...

quattro wrote:

when you run e2fsck, are there any errors (mean: others than a missing 'lost+found')?

I got no error at all. No 'lost+found', no nothing. I even enabled verbose mode, but got no messages about errors.

Regards,
alpha

Offline

 

#37 2009-02-16 19:37:04

alpha
Member
From: Lithuania
Registered: 2008-10-06
Posts: 88

Re: DNS-323 clean shutdown no filesystem warnings forever

Hi,

Ok maybe at least you cansay what options you use with e2fsck and what RAID mode do you use ?

Regards,
alpha

Offline

 

#38 2009-02-17 20:55:15

alpha
Member
From: Lithuania
Registered: 2008-10-06
Posts: 88

Re: DNS-323 clean shutdown no filesystem warnings forever

Hi again,

I just analysed my dmesg output and just now realised that I have warnings for unmounted file system just for devices I don't have !!! sda[b]1,3,4. My Hdd's is sda[b]2. Am I right or I miss something ?

Regards,
alpha

Offline

 

#39 2009-02-17 21:59:34

mig
Member
From: Seattle, WA
Registered: 2006-12-21
Posts: 532

Re: DNS-323 clean shutdown no filesystem warnings forever

alpha wrote:

I just analysed my dmesg output and just now realised that I have warnings for unmounted file system just for devices I don't have !!! sda[b]1,3,4. My Hdd's is sda[b]2. Am I right or I miss something ?

# fdisk -l /dev/sda 
# fdisk -l /dev/sdb

NOTE: -l is a lowercase L not a 1

Will list the partition tables for your disks (without altering the partitions)

Last edited by mig (2009-02-17 22:01:07)


DNS-323 • 2x Seagate Barracuda ES 7200.10 ST3250620NS 250GB SATAII (3.0Gb/s) 7200RPM 16MB • RAID1 • FW1.03 • ext2 
Fonz's v0.3 fun_plug http://www.inreto.de/dns323/fun-plug

Offline

 

#40 2009-02-17 22:06:52

alpha
Member
From: Lithuania
Registered: 2008-10-06
Posts: 88

Re: DNS-323 clean shutdown no filesystem warnings forever

Hello,

Thanks for reply.
This is what I get for sda:

Code:

Disk /dev/sda: 250.0 GB, 250059350016 bytes
255 heads, 63 sectors/track, 30401 cylinders
Units = cylinders of 16065 * 512 = 8225280 bytes

   Device Boot      Start         End      Blocks  Id System
/dev/sda1               1          66      530113+ 82 Linux swap
/dev/sda2             131       30286   242228070  83 Linux
/dev/sda3           30287       30401      923737+ 83 Linux
/dev/sda4              67         130      514080  83 Linux

Partition table entries are not in disk order

... and this fro sdb:

Code:

Disk /dev/sdb: 251.0 GB, 251000193024 bytes
255 heads, 63 sectors/track, 30515 cylinders
Units = cylinders of 16065 * 512 = 8225280 bytes

   Device Boot      Start         End      Blocks  Id System
/dev/sdb1               1          66      530113+ 82 Linux swap
/dev/sdb2             131       30286   242228070  83 Linux
/dev/sdb3           30287       30515     1839442+ 83 Linux
/dev/sdb4              67         130      514080  83 Linux

Partition table entries are not in disk order

So, it seems that I use all four partitions. Then goes one question. I get warnings about mounting filesystems only on partitions 1,3,4. I use raid and when try to do e2fsck I use "mdadm -A /dev/md0 /dev/sd[ab]2", so I never get warining on partinion 2. How to check other partitions ? I use RAID 0 configuration.

Regards,
alpha

Offline

 

#41 2009-02-18 08:21:36

alpha
Member
From: Lithuania
Registered: 2008-10-06
Posts: 88

Re: DNS-323 clean shutdown no filesystem warnings forever

Hello,

Please clarify things a little bit for me.... sd[ab]2 is RAID 0 partitions, but what it is sda3, sdb3, sda4, sdb4 ? According to WEB interface I have RAID 0 and JBOD, but still it is too much partitions. Should I treat sd[ab]3 and sd[ab]4 as raid and use "mdadm -A /dev/md0 /dev/sd[ab]3" or "mdadm -A /dev/md0 /dev/sd[ab]4" ? Please help a little bit me.

Regards,
alpha

Offline

 

#42 2009-02-18 19:33:29

alpha
Member
From: Lithuania
Registered: 2008-10-06
Posts: 88

Re: DNS-323 clean shutdown no filesystem warnings forever

Hello,

I did some tests and found the folowing. If you use raidstop patch then you still need cleanboot. Why ? Raidstop patch protects your filesystem when you press "shutdown" button on the box or do "touch /tmp/shutdown" which is the same as pressing the button. If you reboot box from terminal then you'll get fs warings on next reboot. For clean rebooting you need cleanboot. Thats for sure. I've tested. Offcourse if you have cleanboot then you don't need to do "touch /tmp/shutdown", but instead you can do just "shutdown" from terminal. So, raidstop helps only when shutdowning with button, but no help if you reboot/shutdown from terminal. For this you need cleanboot.
This is what I found during the tests. Please correct me if I am wrong. And please... explain a little bit what is sd[ab]3 and sd[ab]4. Which of those is JBOD disk and what is other ? Or at least give me the link to info.

Regards,
alpha

Offline

 

#43 2009-03-08 11:06:51

alpha
Member
From: Lithuania
Registered: 2008-10-06
Posts: 88

Re: DNS-323 clean shutdown no filesystem warnings forever

Hi all,

After further testing I found that after shutdown with button or 'touch /tmp/shutdown' my transmission client rechecks its downloads. So this mean that this script is not altered on shutdown or works incorrectly. I don't know. I did everything like quattro said. Interesting thing is that I get this warning in ffp.log

Code:

rcorder: requirement `rw_usr_sbin' in file `/ffp/start/raidstop_patch.sh' has no providers.

What this means ? Also I want to mention that I put quattro's script to the beggining to the original raidstop script and leave all original part behind. Is it ok ?
One more thing: how to be sure if raidstop script is called ?
Thanks for helping.

Regards,
alpha

Offline

 

Board footer

Powered by PunBB
© Copyright 2002–2010 PunBB